import { HttpClient } from '@angular/common/http';
import { UserService } from '@eo-sdk/core';
export interface Library {
    name: string;
    homepage: string;
    version: string;
    license: string;
    link: string;
}
export declare class AboutStateComponent {
    private http;
    private userService;
    licenseShow: boolean;
    libraries: Library[];
    licenses: any;
    userLang: string;
    ctrl: {
        productName: string;
        clientVersion: string;
        releaseDate: string;
    };
    constructor(http: HttpClient, userService: UserService);
    getUserLang(): void;
    trackByFn(index: any, item: any): any;
}
