export interface INotificationState extends ISubscription, IResubmission {
}
export interface ISubscription {
    email: boolean;
    id: string;
    info: string;
    messagetype: string;
    onlyemail: boolean;
    cource: Source;
    subscribedactions: string[];
    target: Target;
}
export interface IResubmission {
    due: string;
    email: boolean;
    id: string;
    info: string;
    messagetype: string;
    onlyemail: boolean;
    target: Target;
}
export interface Source {
    hierarchical: boolean;
    hierarchyfolder: boolean;
}
export interface Target {
    description: string;
    id: string;
    isfolder: boolean;
    title: string;
    type: string;
}
