import { ModuleWithProviders } from '@angular/core';
import { CopyActionComponent } from './actions/copy-action/copy-action';
import { OpenContextActionComponent } from './actions/open-context-action/open-context-action';
import { DownloadPdfActionComponent } from './actions/download-pdf-action/download-pdf-action';
import { DownloadOriginalActionComponent } from './actions/download-original-action/download-original-action';
import { DownloadActionComponent } from './actions/download-action/download-action';
import { OpenDocumentComponent } from './actions/open-document-action/open-document-action.component';
import { OpenDocumentActionComponent } from './actions/open-document-action/open-document-action';
import { EmailActionComponent } from './actions/email/email-action';
import { EmailLinkActionComponent } from './actions/email/email-link-action';
import { EmailOriginalActionComponent } from './actions/email/email-original-action';
import { EmailPdfActionComponent } from './actions/email/email-pdf-action';
import { ClipboardLinkActionComponent } from './actions/clipboard/clipboard-link-action';
import { ClipboardActionComponent } from './actions/clipboard/clipboard-action';
import { ClipboardOriginalActionComponent } from './actions/clipboard/clipboard-original-action';
import { ClipboardPdfActionComponent } from './actions/clipboard/clipboard-pdf-action';
import { FavoriteActionComponent } from './actions/favorite-action/favorite-action';
import { DeleteActionComponent } from './actions/delete-action/delete-action';
import { DeleteComponent } from './actions/delete-action/delete/delete.component';
import { OpenVersionsActionComponent } from './actions/open-versions-action/open-versions-action';
import { RestoreVersionActionComponent } from './actions/restore-version-action/restore-version-action';
import { DeletePreparedActionComponent } from './actions/delete-action/delete-prepared-action';
import { AddSubscriptionComponent } from './actions/add-subscription-action/add-subscription/add-subscription.component';
import { AddSubscriptionActionComponent } from './actions/add-subscription-action/add-subscription-action';
import { RemoveSubscriptionActionComponent } from './actions/remove-subscription-action/remove-subscription-action';
import { WorkflowActionComponent } from './actions/workflow-action/workflow-action.component';
import { WorkflowComponent } from './actions/workflow-action/workflow/workflow.component';
import { CustomActionsComponent } from './actions/custom-actions/custom-actions.component';
import { AddResubmissionActionComponent } from './actions/add-resubmission-action/add-resubmission-action';
import { AddResubmissionComponent } from './actions/add-resubmission-action/add-resubmission/add-resubmission.component';
import { UpdateResubmissionActionComponent } from './actions/update-resubmission-action/update-resubmission-action';
import { ShareObjectActionComponent } from './actions/share-object-action/share-object-action';
import { ShareObjectComponent } from './actions/share-object-action/share-object/share-object.component';
import { CutActionComponent } from './actions/cut-action/cut-action';
import { FinalizeActionComponent } from './actions/finalize/finalize-action';
import { DefinalizeActionComponent } from './actions/finalize/definalize-action';
import { DeleteContentActionComponent } from './actions/delete-content-action/delete-content-action';
import { UnlockActionComponent } from './actions/unlock-action/unlock-action';
import { SimpleWorkflowActionComponent } from './actions/workflow-action/simple-workflow-action.component';
export declare const entryComponents: (typeof WorkflowComponent | typeof WorkflowActionComponent | typeof CustomActionsComponent | typeof SimpleWorkflowActionComponent | typeof CopyActionComponent | typeof OpenContextActionComponent | typeof DownloadOriginalActionComponent | typeof DownloadPdfActionComponent | typeof DownloadActionComponent | typeof OpenDocumentComponent | typeof OpenDocumentActionComponent | typeof EmailLinkActionComponent | typeof EmailOriginalActionComponent | typeof EmailPdfActionComponent | typeof EmailActionComponent | typeof ClipboardLinkActionComponent | typeof ClipboardOriginalActionComponent | typeof ClipboardPdfActionComponent | typeof ClipboardActionComponent | typeof FavoriteActionComponent | typeof DeleteComponent | typeof DeleteActionComponent | typeof OpenVersionsActionComponent | typeof RestoreVersionActionComponent | typeof DeletePreparedActionComponent | typeof AddSubscriptionComponent | typeof AddSubscriptionActionComponent | typeof AddResubmissionComponent | typeof AddResubmissionActionComponent | typeof RemoveSubscriptionActionComponent | typeof UpdateResubmissionActionComponent | typeof ShareObjectComponent | typeof ShareObjectActionComponent | typeof CutActionComponent | typeof FinalizeActionComponent | typeof DefinalizeActionComponent | typeof DeleteContentActionComponent | typeof UnlockActionComponent)[];
/**
 * @module
 * @description
 * Module for the action menu
 */
export declare class ActionModule {
    static forRoot(components?: any[]): ModuleWithProviders;
}
