import { Observable } from 'rxjs';
import { Router } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { ComponentAction } from '../../interfaces/component-action.interface';
import { AddResubmissionComponent } from './add-resubmission/add-resubmission.component';
import { ActionService } from '../../action-service/action.service';
import { DmsObject, UserService } from '@eo-sdk/core';
export declare class AddResubmissionActionComponent extends DmsObjectTarget implements ComponentAction {
    private translate;
    private userService;
    private router;
    private actionService;
    component: typeof AddResubmissionComponent;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(translate: TranslateService, userService: UserService, router: Router, actionService: ActionService);
    isExecutable(element: DmsObject): Observable<boolean>;
    isAllowedState(): boolean;
}
