import { OnInit, EventEmitter } from '@angular/core';
import { ActionComponent } from '../../../interfaces/action-component.interface';
import { FormGroup, FormBuilder } from '@angular/forms';
import { TranslateService } from '@eo-sdk/core';
import { DmsObject, UserService, DmsService } from '@eo-sdk/core';
export declare class AddResubmissionComponent implements OnInit, ActionComponent {
    private translate;
    private dms;
    private userService;
    private fb;
    selection: any[];
    finished: EventEmitter<any>;
    canceled: EventEmitter<any>;
    header: string;
    addResubmissionForm: FormGroup;
    dueFieldLabel: string;
    titleFieldLabel: string;
    inboxCbLabel: string;
    emailCbLabel: string;
    processing: boolean;
    constructor(translate: TranslateService, dms: DmsService, userService: UserService, fb: FormBuilder);
    createResubmissionForm(): void;
    setFormValues(controls: any, selection: DmsObject): void;
    readonly titleValidity: boolean;
    dueDateValidator(dueDate: any): (group: FormGroup) => {
        'dueDate': boolean;
    };
    readonly dateValidation: boolean;
    notificationMethodValidator(inboxCbFCN: any, emailCbFCN: any): (group: FormGroup) => {
        'notificationMethod': boolean;
    };
    readonly notificationMethodValidation: boolean;
    createResubmission(): void;
    updateResubmission(): void;
    removeResubmission(): void;
    createTitle(item: DmsObject): string;
    cancel(): void;
    ngOnInit(): void;
}
