import { Observable } from 'rxjs';
import { SimpleAction } from '../../interfaces/simple-action.interface';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { Router } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { ActionService } from '../../action-service/action.service';
import { DmsObject, ClipboardService, CapabilitiesService } from '@eo-sdk/core';
export declare class CopyActionComponent extends DmsObjectTarget implements SimpleAction {
    private capabilityService;
    private router;
    private clipboard;
    private translate;
    private actionService;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(capabilityService: CapabilitiesService, router: Router, clipboard: ClipboardService, translate: TranslateService, actionService: ActionService);
    isExecutable(item: DmsObject): Observable<boolean>;
    run(selection: DmsObject[]): void;
    isAllowedState(): boolean;
}
