import { Observable } from 'rxjs';
import { SimpleAction } from '../../interfaces/simple-action.interface';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { Router } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { ActionService } from '../../action-service/action.service';
import { DmsObject, CapabilitiesService, ClipboardService } from '@eo-sdk/core';
export declare class CutActionComponent extends DmsObjectTarget implements SimpleAction {
    private translate;
    private capabilityService;
    private clipboard;
    private router;
    private actionService;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(translate: TranslateService, capabilityService: CapabilitiesService, clipboard: ClipboardService, router: Router, actionService: ActionService);
    isExecutable(item: DmsObject): Observable<boolean>;
    run(selection: DmsObject[]): void;
    isAllowedState(): boolean;
}
