import { Observable } from 'rxjs';
import { PreparedItemTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { TranslateService } from '@eo-sdk/core';
import { SimpleAction } from '../../interfaces/simple-action.interface';
import { Router } from '@angular/router';
import { PrepareService, PreparedItem } from '@eo-sdk/core';
export declare class DeletePreparedActionComponent extends PreparedItemTarget implements SimpleAction {
    private translate;
    private prepareService;
    private router;
    header: string;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(translate: TranslateService, prepareService: PrepareService, router: Router);
    isExecutable(element: PreparedItem): Observable<boolean>;
    run(selection: PreparedItem[]): void;
    isAllowedState(): boolean;
}
