import { EventEmitter, OnInit } from '@angular/core';
import { ActionComponent } from '../../../interfaces/action-component.interface';
import { TranslateService } from '@eo-sdk/core';
import { Router } from '@angular/router';
import { BackendService, NotificationsService, EventService, DmsService } from '@eo-sdk/core';
export declare class DeleteComponent implements OnInit, ActionComponent {
    private translate;
    private backend;
    private toast;
    private router;
    private dmsService;
    private eventService;
    deleting: boolean;
    folder: string;
    count: string;
    selection: any[];
    finished: EventEmitter<any>;
    canceled: EventEmitter<any>;
    constructor(translate: TranslateService, backend: BackendService, toast: NotificationsService, router: Router, dmsService: DmsService, eventService: EventService);
    ngOnInit(): void;
    run(): void;
    cancel(): void;
}
