import { SimpleAction } from '../../interfaces/simple-action.interface';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { AgentService } from '../../../../eo-framework-core/agent/agent.service';
import { TranslateService } from '@eo-sdk/core';
import { DmsObject } from '@eo-sdk/core';
import { Observable } from 'rxjs/Rx';
export declare class EmailOriginalActionComponent extends DmsObjectTarget implements SimpleAction {
    private translate;
    private agentService;
    label: string;
    description: string;
    priority: number;
    group: string;
    range: SelectionRange;
    static isSubAction: boolean;
    constructor(translate: TranslateService, agentService: AgentService);
    isExecutable(item: DmsObject): Observable<boolean>;
    run(selection: DmsObject[]): void;
}
