import { Observable } from 'rxjs';
import { LinkAction } from '../../interfaces/link-action.interface';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { TranslateService } from '@eo-sdk/core';
import { Router } from '@angular/router';
import { DmsObject } from '@eo-sdk/core';
export declare class OpenVersionsActionComponent extends DmsObjectTarget implements LinkAction {
    private translate;
    private router;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(translate: TranslateService, router: Router);
    isExecutable(item: DmsObject): Observable<boolean>;
    getParams(selection: DmsObject[]): {
        type: string;
    };
    getLink(selection: DmsObject[]): string;
    isAllowedState(): boolean;
}
