import { Observable } from 'rxjs';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { TranslateService } from '@eo-sdk/core';
import { ComponentAction } from '../../interfaces/component-action.interface';
import { ShareObjectComponent } from './share-object/share-object.component';
import { DmsObject, SystemService } from '@eo-sdk/core';
export declare class ShareObjectActionComponent extends DmsObjectTarget implements ComponentAction {
    private translate;
    private systemService;
    component: typeof ShareObjectComponent;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(translate: TranslateService, systemService: SystemService);
    isExecutable(element: DmsObject): Observable<boolean>;
}
