import { EventEmitter, OnInit } from '@angular/core';
import { ActionComponent } from '../../../interfaces/action-component.interface';
import { TranslateService } from '@eo-sdk/core';
import { FormControl, FormGroup } from '@angular/forms';
import { DmsService, NotificationsService } from '@eo-sdk/core';
export declare class ShareObjectComponent implements OnInit, ActionComponent {
    private translate;
    private dms;
    private toast;
    selection: any[];
    finished: EventEmitter<any>;
    canceled: EventEmitter<any>;
    header: string;
    orgaLabel: string;
    shareForm: FormGroup;
    orgaField: FormControl;
    dataMeta: any;
    constructor(translate: TranslateService, dms: DmsService, toast: NotificationsService);
    ngOnInit(): void;
    shareMessage(): void;
    save(): void;
    cancel(): void;
}
