import { Observable } from 'rxjs';
import { SimpleAction } from '../../interfaces/simple-action.interface';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { TranslateService } from '@eo-sdk/core';
import { DmsObject, BackendService } from '@eo-sdk/core';
export declare class UnlockActionComponent extends DmsObjectTarget implements SimpleAction {
    private translate;
    private backendService;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(translate: TranslateService, backendService: BackendService);
    isExecutable(item: DmsObject): Observable<boolean>;
    run(selection: DmsObject[]): void;
}
