import { Observable } from 'rxjs';
import { ProcessItemTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { SimpleAction } from '../../interfaces/simple-action.interface';
import { TranslateService } from '@eo-sdk/core';
import { DmsObject, NotificationsService, BpmService } from '@eo-sdk/core';
export declare class SimpleWorkflowActionComponent extends ProcessItemTarget implements SimpleAction {
    private toast;
    private translate;
    private bpmService;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    _action: any;
    action: any;
    constructor(toast: NotificationsService, translate: TranslateService, bpmService: BpmService);
    isExecutable(element: DmsObject): Observable<boolean>;
    isAllowedType(item: DmsObject): boolean;
    run(items: DmsObject[]): void;
}
