import { Observable } from 'rxjs';
import { WorkflowComponent } from './workflow/workflow.component';
import { ProcessItemTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { ExternalComponentAction } from '../../interfaces/external-component-action.interface';
import { DmsObject } from '@eo-sdk/core';
export declare class WorkflowActionComponent extends ProcessItemTarget implements ExternalComponentAction {
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    iconId: string;
    group: string;
    range: SelectionRange;
    extComponents: typeof WorkflowComponent;
    _action: any;
    action: any;
    constructor();
    isExecutable(element: DmsObject): Observable<boolean>;
    isAllowedType(item: DmsObject): boolean;
}
