import { EventEmitter } from '@angular/core';
import { ObjectFormComponent } from '../../../../object-form/object-form/object-form.component';
import { EoDialogComponent } from '../../../../ui/eo-dialog/eo-dialog.component';
import { ActionComponent } from '../../../interfaces/action-component.interface';
import { BpmService, NotificationsService } from '@eo-sdk/core';
export declare class WorkflowComponent implements ActionComponent {
    private bpmService;
    private toaster;
    selection: any[];
    finished: EventEmitter<any>;
    canceled: EventEmitter<any>;
    headerTitle: string;
    headerDescription: string;
    selected: any;
    workItem: any;
    content: any[];
    dialog: EoDialogComponent;
    bpmForm: ObjectFormComponent;
    selectedProcess: any;
    formData: any;
    form: any;
    constructor(bpmService: BpmService, toaster: NotificationsService);
    saveForm(): void;
    finish(): void;
    cancel(): void;
    onIndexDataChanged(event: any): void;
}
