import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ProcessResponder, Process, Workflow } from './more-actions.model';
import { BpmService, NotificationsService, ExecutableProcess } from '@eo-sdk/core';
import { TranslateService } from '@eo-sdk/core';
export declare class MoreActionsComponent implements OnInit {
    private router;
    private toaster;
    private translate;
    private bpmService;
    processes: ExecutableProcess[];
    selectedProcess: ExecutableProcess;
    response: ProcessResponder;
    showCreateModel: boolean;
    title: string;
    subtitle: string;
    constructor(router: Router, toaster: NotificationsService, translate: TranslateService, bpmService: BpmService);
    close(evt?: any): void;
    selectProcess(process: any): void;
    setResponse(pid: any, code: any): void;
    resetResponse(): void;
    startProcess(selectedProcess: Process): void;
    createModel(process: any): void;
    formReset(event: any): void;
    cancel(): void;
    saveForm(data: any): void;
    executeProcess(payload: Workflow | Process, processId: string, message?: string, title?: string): void;
    getExecutableProcess(): void;
    ngOnInit(): void;
}
