export interface ProcessResponder {
    pid: string;
    code: string;
}
export interface Workflow {
    modelId: string;
    data: WorkflowData;
}
export interface Process {
    id: string;
    qname: string;
    title: string;
    description: string;
    iconid: string;
}
export interface WorkflowData {
    whatabout: string;
    routinglist: Routinglist[];
    enableedit: boolean;
    initiator: string;
    language: string;
}
export interface Routinglist {
    sequence: string;
    task: string;
    recipient: string;
    done: boolean;
    deadline: string;
}
