import { FormGroup, FormControl, ControlValueAccessor, Validator } from '@angular/forms';
import { RangeValue } from '@eo-sdk/core';
export declare class NumberRangeComponent implements ControlValueAccessor, Validator {
    scale: any;
    precision: any;
    readonly: boolean;
    rangeForm: FormGroup;
    value: RangeValue;
    private isValid;
    availableSearchOptions: {
        label: string;
        value: string;
    }[];
    searchOption: string;
    constructor();
    propagateChange: (_: any) => void;
    writeValue(value: RangeValue): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onValueChange(): void;
    validate(c: FormControl): any;
}
