import { EventEmitter } from '@angular/core';
import { GridComponent } from '../../grid.component';
import { OverlayComponent } from '../../../ui/overlay/overlay.component';
import { ColDef } from 'ag-grid';
import { AsyncSubject } from 'rxjs';
import { FilterService } from '../services/filter.service';
export declare class CustomSortComponent {
    private filterService;
    eoGrid: GridComponent;
    overlay: OverlayComponent;
    sortFields: any[];
    model: any[];
    change: EventEmitter<any>;
    active: EventEmitter<any>;
    constructor(filterService: FilterService);
    static sortColDefs(sortFields: ColDef[]): ColDef[];
    static titleComparator(a: any, b: any): number;
    onChange(): void;
    sort(field: any, sort: any): void;
    updateGrid(grid: GridComponent | AsyncSubject<GridComponent>, evt: CustomEvent): void;
    reset(): void;
}
