import { RowNode } from 'ag-grid';
import { AbstractFilterComponent } from '../abstract-filter.component';
import { FilterService } from '../../services/filter.service';
export declare class SetFilterComponent extends AbstractFilterComponent {
    private filterService;
    options: any[];
    title: string;
    operator: string;
    constructor(filterService: FilterService);
    static uniqBy(list: any[], prop: string, options: any[]): any[];
    static uniqByProperty<T>(arr: Array<T>, prop: string): Array<T>;
    doesExternalFilterPass(rowNode: RowNode): boolean;
    isFilterActive(): boolean;
    onChange(newValue: any, item: any): void;
    reset(): void;
}
