import { IDateAngularComp } from 'ag-grid-angular';
import { DatetimeComponent } from '../../form-elements/datetime/datetime.component';
import { EoDialogComponent } from '../../ui/eo-dialog/eo-dialog.component';
import { EventService } from '@eo-sdk/core';
import { TranslateService } from '@eo-sdk/core';
import { DateFilter, IAfterGuiAttachedParams, IFilterParams } from 'ag-grid';
import { InputMask } from 'primeng/primeng';
export declare class DatetimeFilterComponent extends DatetimeComponent implements IDateAngularComp {
    private eventService;
    params: any;
    filterParams: IFilterParams;
    filterInstance: DateFilter;
    eoDialog: EoDialogComponent;
    inputMask: InputMask;
    constructor(translate: TranslateService, eventService: EventService);
    serialize(): {
        dateTo: any;
        dateFrom: any;
        type: string;
        withTime: boolean;
        filterType: string;
    };
    onValueChange(): void;
    setValueFromMask(): void;
    setValueFromPicker(event: any): void;
    onMaskValueChange(event: any): void;
    setDate(value: any): void;
    getDate(): any;
    agInit(params: any): void;
    afterGuiAttached(params: IAfterGuiAttachedParams): void;
}
