import { OrganizationComponent } from '../../form-elements/organization/organization.component';
import { IFilterAngularComp } from 'ag-grid-angular';
import { IAfterGuiAttachedParams, IDoesFilterPassParams } from 'ag-grid';
import { SystemService, BackendService } from '@eo-sdk/core';
import { TranslateService } from '@eo-sdk/core';
export declare class OrganizationFilterComponent extends OrganizationComponent implements IFilterAngularComp {
    params: any;
    multiselect: boolean;
    constructor(backend: BackendService, systemService: SystemService, translate: TranslateService);
    onValueChange(): void;
    onSelect(value: any): void;
    onUnselect(value: any): void;
    isFilterActive(): boolean;
    doesFilterPass(params: IDoesFilterPassParams): boolean;
    getModel(): {
        filterType: string;
        filter: any;
    };
    setModel(value: any): void;
    agInit(params: any): void;
    afterGuiAttached(params: IAfterGuiAttachedParams): void;
}
