import { AsyncSubject } from 'rxjs';
import { AfterViewInit } from '@angular/core';
import { SelectionConfig, SelectionService } from '../../eo-framework-core/selection/selection.service';
import { Router } from '@angular/router';
import { GridComponent } from '../grid/grid.component';
import { ActionService } from '../actions/action-service/action.service';
import { DmsService } from '@eo-sdk/core';
import { Subscription } from 'rxjs/Rx';
export declare class ListContainerComponent implements AfterViewInit {
    private selection;
    private router;
    private dmsService;
    private actionService;
    gridCount: any;
    eoGrid: GridComponent;
    eoGridSubject: AsyncSubject<GridComponent>;
    contentGrid: GridComponent;
    applySelection: SelectionConfig;
    applyVersion: boolean;
    loading: boolean;
    tabs: boolean;
    parseDmsParams: (data) => any;
    constructor(selection: SelectionService, router: Router, dmsService: DmsService, actionService: ActionService);
    ngAfterViewInit(): void;
    onCountChanged(data: any): void;
    onFocusChanged(data: any): void;
    onDoubleClick(event: any): void;
    onSelectionChanged(selectedData: any[]): void;
    onContextMenu(selectedData?: any[], target?: string): void;
    openObject(id: any, _type?: any, version?: any, intent?: any, newTab?: boolean): void;
    loadObject(id: any, _type?: any, version?: any, intent?: any): Subscription;
    showActions(selectedData?: any[], target?: string): void;
}
