import { ChangeDetectorRef } from '@angular/core';
import { DmsParams, DmsService, EventService, DmsObjectHistoryEntry } from '@eo-sdk/core';
import { IVisibleFilter } from './history-filter/history-filter';
import { UnsubscribeOnDestroy } from '../../util/unsubscribe/unsubscribe.component';
export declare class ObjectHistoryComponent extends UnsubscribeOnDestroy {
    private dmsService;
    private cd;
    private eventService;
    _params: DmsParams;
    _history: DmsObjectHistoryEntry[];
    history: DmsObjectHistoryEntry[];
    filters: string[];
    filterterm: string;
    visibleFilter: IVisibleFilter;
    params: DmsParams;
    constructor(dmsService: DmsService, cd: ChangeDetectorRef, eventService: EventService);
    toggleFilter(filter: any): void;
    trackByIndex(index: any, item: any): any;
    private fetchHistory(id, type?);
}
