import { OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ReferenceService } from '../../../eo-framework-core/references/reference.service';
import { TranslateService } from '@eo-sdk/core';
import { ColDef, GridOptions } from 'ag-grid';
import { GridComponent } from '../../grid/grid.component';
import { SystemService, BackendService } from '@eo-sdk/core';
export declare class ObjectLinksComponent implements OnInit {
    private router;
    private referenceService;
    private backend;
    private translate;
    private systemService;
    item: any;
    columnDefs: ColDef[];
    searchIcon: any;
    gridOptions: GridOptions;
    gridOptions2: GridOptions;
    references: any[];
    links: any[];
    queries: any;
    superQueryParams: {};
    eoGrid1: GridComponent;
    eoGrid2: GridComponent;
    dmsObject: any;
    constructor(router: Router, referenceService: ReferenceService, backend: BackendService, translate: TranslateService, systemService: SystemService);
    private prepareGrid();
    private referenceCellRenderer(param);
    private typeCellRenderer(param);
    private generateLinkUrl(objectType, gridName);
    private init(item);
    private createSuperQueryFromQueries(queries);
    private createSuperQueryTermPart(query, filterName);
    private getSubTypes(typeName);
    ngOnInit(): void;
}
