import { EventEmitter } from '@angular/core';
import { EditRow, EditRowResult } from '../form-element-table.component';
import { ObjectFormComponent } from '../../object-form.component';
/**
 * Component for editing a row from an object forms table.
 */
export declare class RowEditComponent {
    _row: EditRow;
    isNewRow: boolean;
    formState: any;
    queryEnabled: boolean;
    copyEnabled: boolean;
    deleteEnabled: boolean;
    saveEnabled: boolean;
    row: EditRow;
    onCancel: EventEmitter<{}>;
    onDelete: EventEmitter<number>;
    onSave: EventEmitter<EditRowResult>;
    onSaveCopy: EventEmitter<EditRowResult>;
    rowForm: ObjectFormComponent;
    constructor();
    onFormReady(): void;
    onFormStatusChanged(evt: any): void;
    save(): void;
    saveCopy(): void;
    cancel(): void;
    delete(): void;
}
