import { ElementRef, Renderer2 } from '@angular/core';
import { TranslateService } from '@eo-sdk/core';
import { ObjectFormControlWrapper } from '../object-form-control-wrapper';
export declare class FormElementComponent {
    private translate;
    private renderer;
    private el;
    formElementRef: any;
    element: ObjectFormControlWrapper;
    focused: any;
    isNull: boolean;
    tag: {
        label: string;
        title: string;
    };
    situation: any;
    skipToggle: boolean;
    elementSetter: ObjectFormControlWrapper;
    formField: ElementRef;
    constructor(translate: TranslateService, renderer: Renderer2, el: ElementRef);
    labelToggled(toggled: boolean): void;
    organizationDataMetaResolved(data: any): void;
    fetchTags(): void;
}
