import { EventEmitter } from '@angular/core';
import { ObjectFormControlWrapper } from '../../../object-form/object-form/object-form-control-wrapper';
export declare class DynamicPropertySwitchComponent {
    value: boolean;
    controlName: string;
    parentFormControl: ObjectFormControlWrapper;
    /**
     * control: qname of the target form element
     * value: based on whether or not the element should be dynamic
     */
    onPropertyChanged: EventEmitter<{
        control: string;
        value: boolean;
    }>;
    constructor();
    toggleValue(): void;
}
