import { AnimationTriggerMetadata } from '@angular/animations';
import { Observable } from 'rxjs';
import { Subscription } from 'rxjs/Rx';
export declare const STATE: {
    LOADING: string;
    READY: string;
    ERROR: string;
};
export declare class PanelLoading {
    state: string;
    private _set(_state);
    loading: () => void;
    ready: () => void;
    error: () => void;
    isLoading: () => boolean;
    isReady: () => boolean;
    isError: () => boolean;
    subscribe(observable: Observable<any>, success?: (res) => void, error?: (err) => void): Subscription;
}
export declare const panelLoadingAnimations: AnimationTriggerMetadata;
