import { EventEmitter, AfterContentInit } from '@angular/core';
import { TranslateService } from '@eo-sdk/core';
import { GlobalShortcutComponent } from '../shortcuts/global-shortcut-component.interface';
import { UndockState } from './undock-state.interface';
import { UndockSplitService } from './undock-split.service';
import { UnsubscribeOnDestroy } from '../util/unsubscribe/unsubscribe.component';
import { SplitComponent } from '../split/split/split.component';
import { SelectionConfig, SelectionService } from '../../eo-framework-core/selection/selection.service';
import { ShortcutsService } from '../shortcuts/shortcuts.service';
export declare class UndockSplitComponent extends UnsubscribeOnDestroy implements AfterContentInit {
    private translate;
    private undockService;
    private selection;
    private shortcutsService;
    shortcuts: GlobalShortcutComponent;
    applySelection: SelectionConfig;
    undockedDetailsData: any;
    onUndockDataChanged: EventEmitter<{}>;
    onUndockedWindowClosed: EventEmitter<{}>;
    classes: string;
    undockState: UndockState;
    eoSplit: SplitComponent;
    constructor(translate: TranslateService, undockService: UndockSplitService, selection: SelectionService, shortcutsService: ShortcutsService);
    ngAfterContentInit(): void;
    undock(): void;
}
