import { EventEmitter, OnInit } from '@angular/core';
import { SortableComponent, SortableContainer } from '@beyerleinf/ngx-dnd';
export declare class SortableDirective extends SortableComponent {
    onDragDataChange: EventEmitter<{}>;
    onDragDataIndexChange: EventEmitter<{}>;
    onDropSuccessCallback: EventEmitter<{}>;
    _onDragEnterCallback(event: any): void;
}
export declare class SortableContainerDirective extends SortableContainer implements OnInit {
    onDragDataChange: EventEmitter<{}>;
    onDragDataIndexChange: EventEmitter<{}>;
    onDropSuccessCallback: EventEmitter<{}>;
    sortOrder: string[] | Function;
    droppedData: any;
    removedData: any;
    ngOnInit(): void;
    _onDragEnterCallback(event: any): void;
}
