import { TranslateLoader } from '@ngx-translate/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { CoreConfig } from './core-config.interface';
/**
 * @ignore
 * Loader that fetches translations based on the configured locations
 */
export declare class EoxTranslateJsonLoader implements TranslateLoader {
    http: HttpClient;
    config: CoreConfig;
    constructor(http: HttpClient, config: CoreConfig);
    /**
     *
     * @param string lang
     * @returns Observable<Object>
     */
    getTranslation(lang: string): Observable<Object>;
}
