export interface AuthProfile {
    /**
     * host to connect to
     */
    host: string;
    /**
     * username
     */
    user?: string;
    /**
     * token to be set to the authorization header
     */
    auth?: string;
    /**
     * flag whether or not the profile is active
     */
    active?: boolean;
    /**
     * flag whether or not to connect via NTLM
     */
    ntlm?: boolean;
}
