/**
 * Interface for the gateways capabilities
 */
export interface GatewayInfo {
    /**
     * Capability of authentication using NTLM
     */
    ntlm: boolean;
    /**
     * Capability of authentication using form login
     */
    form: boolean;
    /**
     * Capability of authentication using BASIC authentication
     */
    basic: boolean;
    /**
     * Capability of authentication using OAuth2
     */
    oauth2: boolean;
}
