import { ClipboardAction } from './clipboard-action.enum';
import { DmsObject } from '../../model/dms-object.model';
/**
 * Clipboard Interface
 */
export interface Clipboard {
    /**
     * the clipboards action ('COPY', 'CUT')
     */
    action: ClipboardAction;
    /**
     * The clipboards elements
     */
    elements: DmsObject[];
}
