/**
 * @ignore
 * Enaio Config
 */
export interface EnaioConfig {
    uri: {
        serviceBase: string;
        searchBase: string;
        contextBase: string;
        inboxBase: string;
        bpmBase: string;
        agentBase: string;
    };
    search: {
        searchMode: string;
        limit: number;
    };
    languages: {
        iso: string;
        label: string;
        dir?: Direction;
        fallback?: boolean;
    }[];
    agent: {
        alias: string;
        autoconnect: boolean;
    };
    licenseKey?: string;
    custom?: any;
    dashboardBackgroundImage?: string;
    sideBarHeaderImage?: string;
}
export declare enum Direction {
    LTR = "ltr",
    RTL = "rtl",
}
