/**
 * @ignore
 */
export interface ISystemDefinition {
    codesystems: any[];
    info: ISystemDefinitionInfo;
    locales: ISystemDefinitionLocales[];
    types: any[];
}
/**
 * @ignore
 */
export interface ISystemDefinitionInfo {
    user: string;
    locale: string;
    version: number;
}
/**
 * @ignore
 */
export interface ISystemDefinitionLocales {
    code: string;
    displayname: string;
    displaynamelocal: string;
}
/**
 * @ignore
 */
export interface ICodeSystem {
    allelementsselectable: boolean;
    entries: ICodeSystemsaEntries[];
    id: string;
    innertitlepattern: string;
    leaftitlepattern: string;
    name: string;
    seperator: string;
    system: boolean;
}
/**
 * @ignore
 */
export interface ICodeSystemsaEntries {
    allowedonnew: boolean;
    allowedonupdate: boolean;
    data: string;
    defaultrepresentation: string;
    id: string;
    label: string;
    order: number;
    type: string;
}
