import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
/**
 * The Upload Service is provides access to Upload data (files)
 */
export declare class UploadService {
    private http;
    /**
     * @ignore
     */
    constructor(http: HttpClient);
    /**
     * Uploads files.
     *
     * @param uri Upload destination uri
     * @param files Files to be uploaded
     * @returns resolved by the response of the upload destination
     */
    upload(uri: string, files: File[]): Observable<any>;
}
