## Client project `eo-client`
* Implementation of the web client core component

<!-- Badges section here. -->
![npm](https://img.shields.io/npm/v/eo-client.svg)
![npm](https://img.shields.io/npm/l/eo-client.svg)


## Prerequisites

Both the CLI and generated project have dependencies that require Node 8.9.0 or higher, together
with NPM 5 or higher.

## Installation

Use [eo-client-cli](https://www.npmjs.com/package/eo-client-cli) package to install your custom client project.

## Documentation

The documentation for the [developers](http://developer.enaio.org).

## Client libraries

Part of this project are enaio library projects. Libraries are part of the enaio framework that can be used on their own to create custom client applications.

Those libraries are: 
- @eo-sdk/core

To build for example @eo-sdk/core library run `npm run package:eosdk-core`. This will create the distributable library inside the projects dist folder.

NOTICE: Because brummfugl is using those libraries you need to build them every time you change their sources. 

## License

MIT
