import { Router } from '@angular/router';
import { Location } from '@angular/common';
import { TranslateService } from '@eo-sdk/core';
import { GlobalShortcutComponent } from './eo-framework/shortcuts/global-shortcut-component.interface';
import { UploadRegistryService, Capabilities, CapabilitiesService, UserService, AuthService, NotificationsService, Config } from '@eo-sdk/core';
import { PendingChangesService } from './eo-framework-core/pending-changes/pending-changes.service';
export declare class AppComponent {
    private notify;
    private userService;
    private router;
    private config;
    private location;
    translate: TranslateService;
    private authService;
    private pendingChanges;
    private capabilitiesService;
    private uploadRegistry;
    transparentBar: boolean;
    initError: any;
    authenticated: boolean;
    dir: string;
    isMobileEnv: boolean;
    capabilities: Capabilities;
    shortcuts: GlobalShortcutComponent;
    navShortcuts: GlobalShortcutComponent;
    unloadNotification($event: any): boolean;
    constructor(notify: NotificationsService, userService: UserService, router: Router, config: Config, location: Location, translate: TranslateService, authService: AuthService, pendingChanges: PendingChangesService, capabilitiesService: CapabilitiesService, uploadRegistry: UploadRegistryService);
    private setStyle();
}
