import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { SelectItem } from 'primeng/primeng';
import { AuthService, Config } from '@eo-sdk/core';
import { PageTitleService } from '../../eo-framework-core/title/page-title.service';
export declare class LoginComponent implements OnInit {
    private route;
    private router;
    private config;
    private titleService;
    private translate;
    private authService;
    backgroundImage: string;
    form: any;
    profiles: SelectItem[];
    loading: boolean;
    invalid: boolean;
    private returnUrl;
    native: boolean;
    removeProfile: (p: any) => any;
    constructor(route: ActivatedRoute, router: Router, config: Config, titleService: PageTitleService, translate: TranslateService, authService: AuthService);
    ngOnInit(): void;
    login(): void;
}
