import { OnDestroy } from '@angular/core';
import { SearchResult, NotificationsService } from '@eo-sdk/core';
import { TranslateService } from '@eo-sdk/core';
import { ActivatedRoute, Router } from '@angular/router';
import { PageTitleService } from '../../eo-framework-core/title/page-title.service';
import { UnsubscribeOnDestroy } from '../../eo-framework/util/unsubscribe/unsubscribe.component';
import { PendingChangesComponent } from '../../eo-framework-core/pending-changes/pending-changes-component.interface';
import { PendingChangesService } from '../../eo-framework-core/pending-changes/pending-changes.service';
import { SelectionService } from '../../eo-framework-core/selection/selection.service';
export declare class ResultStateComponent extends UnsubscribeOnDestroy implements OnDestroy, PendingChangesComponent {
    private pendingChanges;
    private route;
    private titleService;
    private selection;
    private router;
    private notify;
    translate: TranslateService;
    query: any;
    clearAfterExecute: boolean;
    searchTerm: string;
    openImmediately: boolean;
    titel: string;
    constructor(pendingChanges: PendingChangesService, route: ActivatedRoute, titleService: PageTitleService, selection: SelectionService, router: Router, notify: NotificationsService, translate: TranslateService);
    setResultPageTitle(): void;
    hasPendingChanges(): boolean;
    onResult(result: SearchResult): Promise<boolean>;
    onQueryInvalid(): void;
    ngOnDestroy(): void;
}
