import { OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { StoredQuery } from '@eo-sdk/core';
import { AppSearchService } from '../../eo-framework-core/search/app-search.service';
import { UnsubscribeOnDestroy } from '../../eo-framework/util/unsubscribe/unsubscribe.component';
import { SelectionService } from '../../eo-framework-core/selection/selection.service';
export declare class StoredQueriesStateComponent extends UnsubscribeOnDestroy implements OnInit, OnDestroy {
    private route;
    private router;
    private selection;
    private appSearch;
    storedQueries: StoredQuery[];
    selectedQuery: StoredQuery;
    queryList: any;
    constructor(route: ActivatedRoute, router: Router, selection: SelectionService, appSearch: AppSearchService);
    selectQuery(query: StoredQuery): void;
    private createNewStoredQuery();
    ngOnInit(): void;
}
