import { OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { UnsubscribeOnDestroy } from '../../eo-framework/util/unsubscribe/unsubscribe.component';
import { ColDef, GridOptions } from 'ag-grid';
import { GridComponent } from '../../eo-framework/grid/grid.component';
import { SelectionService } from '../../eo-framework-core/selection/selection.service';
import { TranslateService } from '@eo-sdk/core';
import { EventService, DmsObject, DmsService, DmsParams } from '@eo-sdk/core';
export declare class VersionStateComponent extends UnsubscribeOnDestroy implements OnInit {
    private route;
    private translate;
    private selection;
    private eventService;
    private dmsService;
    versionItem: DmsObject;
    gridOptions: GridOptions;
    sortFields: ColDef[];
    typeFilterFields: any[];
    userFilterFields: any[];
    gridData: any;
    eoGrid: GridComponent;
    constructor(route: ActivatedRoute, translate: TranslateService, selection: SelectionService, eventService: EventService, dmsService: DmsService);
    ngOnInit(): void;
    parseDmsParams(data: any): DmsParams;
    sortByFocusOrder(data: any[]): any[];
    refreshGrid(version?: string, version2?: string): void;
    typeFilters(data: any): void;
    userFilters(data: any): void;
    resetFilters(): void;
    updateGrid(data: any, rowIndex?: number, rowIndex2?: number): void;
    cellRenderer(params: any): string;
}
