import { TranslateService } from '@eo-sdk/core';
import { SimpleAction } from '../../../eo-framework/actions/interfaces/simple-action.interface';
import { DmsObjectTarget } from '../../../eo-framework/actions/action-target';
import { SelectionRange } from '../../../eo-framework/actions/selection-range.enum';
import { DmsService, DmsObject } from '@eo-sdk/core';
import { Observable } from 'rxjs/Rx';
export declare class SampleActionComponent extends DmsObjectTarget implements SimpleAction {
    private translate;
    private dmsService;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(translate: TranslateService, dmsService: DmsService);
    isExecutable(item: DmsObject): Observable<boolean>;
    run(selection: DmsObject[]): void;
}
