import { ErrorHandler, Injector } from '@angular/core';
import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs/Rx';
export declare class ErrorHandlerService implements ErrorHandler, HttpInterceptor {
    private injector;
    constructor(injector: Injector);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    handleError(error: any): void;
}
