import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { SplitAreaComponent } from '../../eo-framework/split/split-area/split-area.component';
export declare class AreaState {
    area: SplitAreaComponent;
    hidden: any;
    dock: any;
    constructor(area: SplitAreaComponent, visible?: boolean, hidden?: boolean, dock?: boolean);
    visible: boolean;
}
export declare class LayoutService {
    onUndockAreaChanged: EventEmitter<AreaState>;
    _undockArea: AreaState;
    private areas;
    private areasSource;
    areas$: Observable<AreaState[]>;
    constructor();
    updateArea(area: AreaState, props: any): void;
    setAreas(areas: AreaState[], undockArea?: AreaState): void;
    hideAreas(condition: (area, index) => {}): void;
    toggleArea(area: AreaState): void;
    undockArea(): void;
}
