import { PipeTransform } from '@angular/core';
import { CurrencyPipe, DecimalPipe, PercentPipe } from '@angular/common';
import { TranslateService } from '@eo-sdk/core';
export declare class LocaleDecimalPipe extends DecimalPipe implements PipeTransform {
    translate: TranslateService;
    constructor(translate: TranslateService);
    transform(value: any, digits?: string, locale?: string): string | null;
}
export declare class LocalePercentPipe extends PercentPipe implements PipeTransform {
    translate: TranslateService;
    constructor(translate: TranslateService);
    transform(value: any, digits?: string, locale?: string): string | null;
}
export declare class LocaleCurrencyPipe extends CurrencyPipe implements PipeTransform {
    translate: TranslateService;
    constructor(translate: TranslateService);
    transform(value: any, currencyCode?: string, display?: 'code' | 'symbol' | 'symbol-narrow' | boolean, digits?: string, locale?: string): string | null;
}
