import { ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { AuthService, CapabilitiesService } from '@eo-sdk/core';
export declare class CapabilitiesGuard implements CanActivate {
    private auth;
    private router;
    private capabilities;
    constructor(auth: AuthService, router: Router, capabilities: CapabilitiesService);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | boolean;
}
