import { Observable } from 'rxjs';
import { EventService } from '@eo-sdk/core';
export interface SelectionConfig {
    in?: string;
    out?: string;
    useSelection?: boolean;
}
export declare class SelectionService {
    private eventService;
    private children;
    private selection;
    private selectionSource;
    selection$: Observable<any[]>;
    private _focus;
    private focusSource;
    focus$: Observable<any>;
    private _disabled;
    constructor(eventService: EventService);
    focus(focus: any): void;
    set(selection: any[]): void;
    disable(val?: boolean): void;
    get(): any[];
    clear(): void;
    getFocus(): any;
    find(id: string): SelectionService;
    createNew(id: string): SelectionService;
}
