import { OnInit, EventEmitter } from '@angular/core';
import { ActionComponent } from '../../../interfaces/action-component.interface';
import { FormControl, FormGroup, FormBuilder } from '@angular/forms';
import { TranslateService } from '@eo-sdk/core';
import { DmsService, UserService } from '@eo-sdk/core';
export declare class AddSubscriptionComponent implements OnInit, ActionComponent {
    private translate;
    private dms;
    private userService;
    private fb;
    selection: any[];
    finished: EventEmitter<any>;
    canceled: EventEmitter<any>;
    header: string;
    addSubscriptionForm: FormGroup;
    titleFieldLabel: string;
    inboxCbLabel: string;
    emailCbLabel: string;
    processing: boolean;
    constructor(translate: TranslateService, dms: DmsService, userService: UserService, fb: FormBuilder);
    ngOnInit(): void;
    readonly titleValidity: boolean;
    validator(control: FormControl): {
        addSubscriptionForm: {
            valid: boolean;
        };
    };
    createSubscription(): void;
    createTitle(item: any): any;
    cancel(): void;
}
