import { Observable } from 'rxjs';
import { DmsObjectTarget } from '../../action-target';
import { ListAction } from '../../interfaces/list-action.interface';
import { SelectionRange } from '../../selection-range.enum';
import { TranslateService } from '@eo-sdk/core';
import { DmsObject } from '@eo-sdk/core';
export declare class ClipboardActionComponent extends DmsObjectTarget implements ListAction {
    private translate;
    header: string;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    subActionComponents: any[];
    constructor(translate: TranslateService);
    isExecutable(element: DmsObject): Observable<boolean>;
}
