import { Observable } from 'rxjs';
import { ProcessItemTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { SimpleAction } from '../../interfaces/simple-action.interface';
import { TranslateService } from '@eo-sdk/core';
import { PluginsService } from '../../../../eo-framework-core/api/plugins.service';
import { NotificationsService } from '@eo-sdk/core';
export declare class CustomActionsComponent extends ProcessItemTarget implements SimpleAction {
    private toast;
    private pluginService;
    private translate;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    _action: any;
    action: any;
    constructor(toast: NotificationsService, pluginService: PluginsService, translate: TranslateService);
    isExecutable(objects: any): Observable<{}>;
    run(selection: any): void;
    runCustomActions(action: any, objects?: any[]): Observable<boolean>;
}
