import { Observable } from 'rxjs';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { TranslateService } from '@eo-sdk/core';
import { ComponentAction } from '../../interfaces/component-action.interface';
import { DeleteComponent } from './delete/delete.component';
import { Router } from '@angular/router';
import { DmsObject } from '@eo-sdk/core';
export declare class DeleteActionComponent extends DmsObjectTarget implements ComponentAction {
    private translate;
    private router;
    header: string;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    component: typeof DeleteComponent;
    constructor(translate: TranslateService, router: Router);
    isExecutable(element: DmsObject): Observable<boolean>;
    isAllowedState(): boolean;
}
