import { Observable } from 'rxjs';
import { SimpleAction } from '../../interfaces/simple-action.interface';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { Router } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { DmsObject, DmsService, NotificationsService } from '@eo-sdk/core';
export declare class DeleteContentActionComponent extends DmsObjectTarget implements SimpleAction {
    private router;
    private translate;
    private dms;
    private notificationService;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(router: Router, translate: TranslateService, dms: DmsService, notificationService: NotificationsService);
    isExecutable(item: DmsObject): Observable<boolean>;
    run(selection: DmsObject[]): void;
    isAllowedState(): boolean;
}
