import { Observable } from 'rxjs';
import { SimpleAction } from '../../interfaces/simple-action.interface';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { Location } from '@angular/common';
import { TranslateService } from '@eo-sdk/core';
import { DmsObject } from '@eo-sdk/core';
export declare class EmailLinkActionComponent extends DmsObjectTarget implements SimpleAction {
    private translate;
    private location;
    label: string;
    description: string;
    priority: number;
    group: string;
    range: SelectionRange;
    static isSubAction: boolean;
    constructor(translate: TranslateService, location: Location);
    isExecutable(item: DmsObject): Observable<boolean>;
    run(selection: DmsObject[]): void;
    endsWith(str: any, suffix: any): boolean;
}
