import { Observable } from 'rxjs';
import { SimpleAction } from '../../interfaces/simple-action.interface';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { TranslateService } from '@eo-sdk/core';
import { Router } from '@angular/router';
import { DmsObject, CapabilitiesService, UserService, EventService } from '@eo-sdk/core';
export declare class FavoriteActionComponent extends DmsObjectTarget implements SimpleAction {
    private translate;
    private userService;
    private eventService;
    private capabilityService;
    private router;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(translate: TranslateService, userService: UserService, eventService: EventService, capabilityService: CapabilitiesService, router: Router);
    isExecutable(item: DmsObject): Observable<boolean>;
    run(selection: DmsObject[]): void;
    isAllowedState(): boolean;
}
