import { EventEmitter, OnInit } from '@angular/core';
import { TranslateService } from '@eo-sdk/core';
import { ActionComponent } from '../../interfaces/action-component.interface';
import { AgentService } from '../../../../eo-framework-core/agent/agent.service';
import { ObjectFormHelperService } from '../../../object-form/object-form-helper.service';
import { UserService } from '@eo-sdk/core';
export declare class OpenDocumentComponent implements OnInit, ActionComponent {
    private userService;
    private agentService;
    private translate;
    private objectFormHelperService;
    checkout: any;
    selection: any[];
    finished: EventEmitter<any>;
    canceled: EventEmitter<any>;
    constructor(userService: UserService, agentService: AgentService, translate: TranslateService, objectFormHelperService: ObjectFormHelperService);
    ngOnInit(): void;
    edit(lock: any): void;
    cancel(): void;
}
