import { Router } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { OpenDocumentComponent } from './open-document-action.component';
import { ComponentAction } from '../../interfaces/component-action.interface';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { AgentService } from '../../../../eo-framework-core/agent/agent.service';
import { Observable } from 'rxjs';
import { DmsObject } from '@eo-sdk/core';
export declare class OpenDocumentActionComponent extends DmsObjectTarget implements ComponentAction {
    private translate;
    private agentService;
    private router;
    label: string;
    description: string;
    iconSrc: string;
    priority: number;
    group: string;
    range: SelectionRange;
    component: typeof OpenDocumentComponent;
    constructor(translate: TranslateService, agentService: AgentService, router: Router);
    isExecutable(item: DmsObject): Observable<boolean>;
    isAllowedState(): boolean;
}
