import { Observable } from 'rxjs';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { TranslateService } from '@eo-sdk/core';
import { SimpleAction } from '../../interfaces/simple-action.interface';
import { DmsObject, UserService, DmsService } from '@eo-sdk/core';
export declare class RemoveSubscriptionActionComponent extends DmsObjectTarget implements SimpleAction {
    private translate;
    private userService;
    private dms;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(translate: TranslateService, userService: UserService, dms: DmsService);
    isExecutable(element: DmsObject): Observable<boolean>;
    run(selection: any): void;
}
