import { SimpleAction } from '../../interfaces/simple-action.interface';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { Router } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { DmsObject, DmsService, EventService } from '@eo-sdk/core';
import { Observable } from 'rxjs/Rx';
export declare class RestoreVersionActionComponent extends DmsObjectTarget implements SimpleAction {
    private translate;
    private router;
    private eventService;
    private dmsService;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(translate: TranslateService, router: Router, eventService: EventService, dmsService: DmsService);
    isExecutable(item: DmsObject): Observable<boolean>;
    run(selection: DmsObject[]): void;
    isAllowedState(): boolean;
}
