import { Observable } from 'rxjs';
import { DmsObjectTarget } from '../../action-target';
import { SelectionRange } from '../../selection-range.enum';
import { TranslateService } from '@eo-sdk/core';
import { ComponentAction } from '../../interfaces/component-action.interface';
import { AddResubmissionComponent } from '../add-resubmission-action/add-resubmission/add-resubmission.component';
import { DmsObject, UserService } from '@eo-sdk/core';
export declare class UpdateResubmissionActionComponent extends DmsObjectTarget implements ComponentAction {
    private translate;
    private userService;
    component: typeof AddResubmissionComponent;
    label: string;
    description: string;
    priority: number;
    iconSrc: string;
    group: string;
    range: SelectionRange;
    constructor(translate: TranslateService, userService: UserService);
    isExecutable(element: DmsObject): Observable<boolean>;
}
