import { Observable } from 'rxjs';
import { SelectionRange } from '../selection-range.enum';
export interface BaseAction {
    target?: Function;
    isSubAction?: boolean;
    disabled?: boolean;
}
export interface Action extends BaseAction {
    label: string;
    description: string;
    iconSrc?: string;
    priority: number;
    group: string;
    range: SelectionRange;
    isExecutable: (item: any) => Observable<boolean | {}>;
}
