import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { Router } from '@angular/router';
import { LocationService } from '../../../../../eo-framework-core/location/location.service';
import { ObjectType, PrepareService } from '@eo-sdk/core';
import { TranslateService } from '@eo-sdk/core';
export declare class AppAddDialogComponent implements OnInit, OnDestroy {
    private prepareService;
    private router;
    private translate;
    private locationService;
    onClose: EventEmitter<{}>;
    rootTypes: ObjectType[];
    locationTypes: ObjectType[];
    locationParent: any;
    private activeLocationSubscription;
    subfolder: any;
    subFolderDescription: string;
    constructor(prepareService: PrepareService, router: Router, translate: TranslateService, locationService: LocationService);
    prepare(type: ObjectType, isRootType?: boolean): void;
    addToSubfolder(): void;
    private fetchRootTypes();
    private sortTypes(types);
    private fetchAllowedChildTypes(loc);
    isSubFolderAllowed(subFolder: any, locationTypes: ObjectType[]): boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    trackByFn(index: any, item: any): any;
}
