import { AfterViewInit, Renderer2, OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { TranslateService } from '@eo-sdk/core';
import { UnsubscribeOnDestroy } from '../../util/unsubscribe/unsubscribe.component';
import { EventService, BpmService, UserService, EoUser, CapabilitiesService, Capabilities, InboxService, InboxState, ClipboardService, PrepareService } from '@eo-sdk/core';
export declare class AppBarComponent extends UnsubscribeOnDestroy implements AfterViewInit, OnDestroy, OnInit {
    private userService;
    private capabilityService;
    private translate;
    private inboxService;
    private prepareService;
    private clipboard;
    private renderer;
    private router;
    private bpmService;
    private eventService;
    appBar: any;
    transparent: boolean;
    preparedItemsCount: number;
    inboxState: InboxState;
    clipoardCount: number;
    user: EoUser;
    capabilities: Capabilities;
    exeActions: boolean;
    sidebarShow: boolean;
    options: any;
    iconTitles: any;
    constructor(userService: UserService, capabilityService: CapabilitiesService, translate: TranslateService, inboxService: InboxService, prepareService: PrepareService, clipboard: ClipboardService, renderer: Renderer2, router: Router, bpmService: BpmService, eventService: EventService);
    updateOnSchemaChange(): void;
    setIconTitles(): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
