import { OnInit } from '@angular/core';
import { AreaState, LayoutService } from '../../../../eo-framework-core/layout/layout.service';
import { UnsubscribeOnDestroy } from '../../../util/unsubscribe/unsubscribe.component';
export declare class AppLayoutComponent extends UnsubscribeOnDestroy implements OnInit {
    private layoutService;
    areas: AreaState[];
    undockArea: AreaState;
    constructor(layoutService: LayoutService);
    ngOnInit(): void;
    updateAreas(areas?: AreaState[]): void;
    toggle(area: AreaState): void;
    undock(): void;
}
