import { OnInit } from '@angular/core';
import { FormGroup, FormControl, ControlValueAccessor, Validator, FormBuilder } from '@angular/forms';
import { RangeValue } from '@eo-sdk/core';
export declare class DatetimeRangeComponent implements OnInit, ControlValueAccessor, Validator {
    private fb;
    withTime: boolean;
    pickerTitle: string;
    rangeForm: FormGroup;
    value: RangeValue;
    private isValid;
    availableSearchOptions: {
        label: string;
        value: string;
    }[];
    searchOption: string;
    constructor(fb: FormBuilder);
    createForm(): void;
    onFormValueChange(): void;
    propagateChange: (_: any) => void;
    writeValue(value: RangeValue): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onValueChange(): void;
    validate(c: FormControl): any;
    ngOnInit(): void;
}
