import { OnInit, OnDestroy } from '@angular/core';
import { FormControl, ControlValueAccessor, Validator } from '@angular/forms';
import 'moment/min/locales';
import { TranslateService } from '@eo-sdk/core';
import { LocaleDatePipe } from '../../../eo-framework-core/pipes/locale-date.pipe';
export declare class DatetimeComponent implements OnInit, OnDestroy, ControlValueAccessor, Validator {
    private translate;
    params: any;
    value: any;
    innerValue: any;
    locale: any;
    datePipe: LocaleDatePipe;
    showPicker: boolean;
    private isValid;
    maskPattern: string;
    _datePattern: string;
    datePattern: string;
    isWebEnv: boolean;
    _withTime: boolean;
    readonly: boolean;
    pickerTitle: string;
    onylFutureDates: boolean;
    withTime: boolean;
    constructor(translate: TranslateService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    propagateChange: (_: any) => void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setValueFromMask(): void;
    setValueFromPicker(event: any): void;
    onMaskValueChange(event: any): void;
    private setInnerValue();
    validate(c: FormControl): {
        datecontrol: {
            valid: boolean;
        };
    };
}
