import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { AutoComplete } from 'primeng/primeng';
import { SearchService } from '@eo-sdk/core';
export declare class ReferenceComponent implements ControlValueAccessor {
    private searchService;
    autoCompleteInput: AutoComplete;
    readonly: boolean;
    multiselect: boolean;
    reference: {
        element: string;
        type: string;
    };
    onReferenceClicked: EventEmitter<{}>;
    autocompleteRes: any[];
    private value;
    innerValue: {
        value: string;
        title: string;
    }[];
    constructor(searchService: SearchService);
    propagateChange: (_: any) => void;
    tranformValue(valueIsArray: any, value: any): any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    autocompleteResult(res: any): void;
    autocompleteFn(evt: any): void;
    onUnselect(item: any): void;
    onSelect(selectedItem: any): void;
    onAutoCompleteBlur(): void;
    private clearInnerInput();
    getItemLink(item: any): string;
}
