import { FormControl, ControlValueAccessor, Validator } from '@angular/forms';
import { BackendService } from '@eo-sdk/core';
export declare class StringComponent implements ControlValueAccessor, Validator {
    private backend;
    autocomplete: boolean;
    multiselect: boolean;
    multiline: boolean;
    readonly: boolean;
    autofocus: boolean;
    classification: string;
    situation: string;
    regex: string;
    qname: string;
    size: string;
    autocompleteRes: any[];
    value: any;
    valid: boolean;
    constructor(backend: BackendService);
    propagateChange: (_: any) => void;
    readonly fieldQname: boolean;
    onKeyUpEnter(event: any): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onValueChange(evt: any): void;
    autocompleteFn(evt: any): void;
    private validateClassification(string);
    validate(c: FormControl): any;
}
