import { IAfterGuiAttachedParams, IDoesFilterPassParams, IFilterParams, RowNode } from 'ag-grid';
import { IFilterAngularComp } from 'ag-grid-angular';
export declare abstract class AbstractFilterComponent implements IFilterAngularComp {
    params: IFilterParams;
    valueGetter: (rowNode: RowNode) => any;
    value: any;
    input: any;
    filterParams: IFilterParams;
    onChange(newValue: any, oldValue?: any): void;
    agInit(params: IFilterParams): void;
    reset(): void;
    isFilterActive(): boolean;
    doesExternalFilterPass(rowNode: RowNode): boolean;
    doesFilterPass(params: IDoesFilterPassParams): boolean;
    getModel(): any;
    setModel(model: any): void;
    afterGuiAttached(params: IAfterGuiAttachedParams): void;
}
