import { AfterViewInit, QueryList, EventEmitter } from '@angular/core';
import { GridComponent } from '../../../grid.component';
import { OverlayComponent } from '../../../../ui/overlay/overlay.component';
import { AbstractFilterComponent } from '../abstract-filter.component';
import { TextFilterComponent } from '../text/text-filter.component';
import { SetFilterComponent } from '../setFilters/set-filter.component';
import { RowNode } from 'ag-grid';
import { AsyncSubject } from 'rxjs';
export declare class CustomFilterComponent implements AfterViewInit {
    overlay: OverlayComponent;
    eoGrid: GridComponent;
    activeFilter: boolean;
    isFilterActive: boolean;
    change: EventEmitter<any>;
    active: EventEmitter<any>;
    onResetFilters: EventEmitter<any>;
    allFilters: AbstractFilterComponent[];
    textFilters: QueryList<TextFilterComponent>;
    setFilters: QueryList<SetFilterComponent>;
    doesExternalFilterPass(node: RowNode): boolean;
    onChange(): void;
    updateGrid(grid: GridComponent | AsyncSubject<GridComponent>, evt: CustomEvent): void;
    setupFilter(filter: AbstractFilterComponent): void;
    resetFilter(): void;
    ngAfterViewInit(): void;
}
