import { RowNode } from 'ag-grid';
import { FilterService } from '../../services/filter.service';
import { AbstractFilterComponent } from '../abstract-filter.component';
export declare class TextFilterComponent extends AbstractFilterComponent {
    private filterService;
    title: string;
    placeholder: string;
    matchFields: string[];
    constructor(filterService: FilterService);
    onChange(newValue: any, oldValue?: any): void;
    doesExternalFilterPass(rowNode: RowNode): boolean;
}
