import { CodesystemComponent } from '../../form-elements/codesystem/codesystem.component';
import { IFilterAngularComp } from 'ag-grid-angular';
import { IAfterGuiAttachedParams, IDoesFilterPassParams } from 'ag-grid';
import { SystemService, EventService } from '@eo-sdk/core';
import { EoDialogComponent } from '../../ui/eo-dialog/eo-dialog.component';
import { TranslateService } from '@eo-sdk/core';
export declare class CodesystemFilterComponent extends CodesystemComponent implements IFilterAngularComp {
    private eventService;
    params: any;
    multiselect: boolean;
    situation: string;
    eoDialog: EoDialogComponent;
    constructor(systemService: SystemService, translate: TranslateService, eventService: EventService);
    onValueChange(): void;
    onAutoCompleteSelect(node: any): void;
    onAutoCompleteUnselect(node: any): void;
    onTreeSelectionChanged(evt: any): void;
    isFilterActive(): boolean;
    doesFilterPass(params: IDoesFilterPassParams): boolean;
    getModel(): {
        filterType: string;
        filter: any;
    };
    setModel(value: any): void;
    agInit(params: any): void;
    afterGuiAttached(params: IAfterGuiAttachedParams): void;
}
