import { AfterViewInit, EventEmitter, Renderer2 } from '@angular/core';
import { TranslateService } from '@eo-sdk/core';
import { Subscription } from 'rxjs';
import { DmsObject, DmsObjectAttachment, DmsService } from '@eo-sdk/core';
import { FileSizePipe } from '../../eo-framework-core/pipes/filesize.pipe';
import { DomSanitizer } from '@angular/platform-browser';
export declare class PdfjsComponent implements AfterViewInit {
    translate: TranslateService;
    private dms;
    private renderer;
    private sanitizer;
    private pdfjs;
    latestUri: string;
    dmsObjectTitle: string;
    private _previewUri;
    private _dmsObject;
    private _disabled;
    fileSizePipe: FileSizePipe;
    currentIndex: number;
    attachments: DmsObjectAttachment[];
    codesystemEntries: any;
    attachmentsLoading: Subscription;
    attachmentsShown: boolean;
    searchTerm: string;
    enableCloseBtn: boolean;
    useVersion: boolean;
    open: any;
    emptyToolbar: boolean;
    codesystem: any;
    iframe: any;
    close: EventEmitter<{}>;
    setAttachments: any;
    setSearchTerm: any;
    disabled: boolean;
    previewUri: string;
    dmsObject: DmsObject;
    toggleAttachment(): void;
    constructor(translate: TranslateService, dms: DmsService, renderer: Renderer2, sanitizer: DomSanitizer);
    selectAttachment(attachment?: any): void;
    toogleViewer(open: boolean): void;
    refresh(): void;
    search(): void;
    private openPdfViewer(uri);
    loadDocument(uri: string, force?: boolean): boolean;
    ngAfterViewInit(): void;
}
