import { InjectionToken, ComponentFactoryResolver } from '@angular/core';
export declare const ENTRY_COMPONENTS: InjectionToken<any[]>;
export declare const ENTRY_LINKS: InjectionToken<any[]>;
export interface EoPlugin {
    id: string;
    matchType: RegExp;
}
export interface EoLinkPlugin extends EoPlugin {
    path: any;
    queryParams?: any;
}
export declare class PluginService {
    private _componentFactoryResolver;
    links: any[];
    components: any[];
    constructor(components: EoPlugin[], links: EoLinkPlugin[], _componentFactoryResolver: ComponentFactoryResolver);
    loadComponent(plugin: any, viewContainerRef: any, data?: {}): void;
    loadByType(type: string, viewContainerRef: any): void;
    loadById(id: string, viewContainerRef: any): void;
    loadTabs(type: string): any[];
    loadLinks(type: string): any[];
}
