import { EventEmitter } from '@angular/core';
import { WorkItem, Clipboard } from '@eo-sdk/core';
export declare class ProcessFileComponent {
    workItem: WorkItem;
    clipboard: Clipboard;
    selectedContentFileId: string;
    isDisabled: boolean;
    editable: boolean;
    onOpenWorkItemContentInContext: EventEmitter<any>;
    onOpenWorkItemContent: EventEmitter<any>;
    onRemoveWorkItemContent: EventEmitter<any>;
    onPasteProcessFile: EventEmitter<any>;
    openWorkItemContentInContext(file: any, $event: any): void;
    openWorkItemContent(file: any): void;
    addFromClipboard(): void;
    removeWorkItemContent(file: any, $event: any): void;
    trackByIndex(index: any, item: any): any;
}
