/**
 * Interface defining a shortcut to execute a GlobalShortcutAction
 */
export declare class Shortcut {
    key: string;
    ctrlKey: boolean;
    shiftKey: boolean;
    altKey: boolean;
    which: any;
    static isValid(evt: KeyboardEvent | Shortcut): boolean;
    static match(evt: KeyboardEvent, shortcut: Shortcut | string): boolean;
    constructor(key: string, ctrlKey?: boolean, shiftKey?: boolean, altKey?: boolean);
    match(evt: KeyboardEvent): boolean;
    toString(): string;
}
