import { ElementRef, Renderer2, OnInit, OnDestroy, ViewContainerRef } from '@angular/core';
import { SplitComponent } from '../split/split.component';
import { TabPanel } from 'primeng/primeng';
export declare class SplitAreaComponent extends TabPanel implements OnInit, OnDestroy {
    private elementRef;
    private renderer;
    private split;
    _flexGrow: number;
    _hidden: string;
    _auto: string;
    _height: number;
    minWidth: number;
    visibleCls: boolean;
    private _visible;
    private _order;
    order: number;
    private _size;
    size: any;
    private _minSizePixel;
    minSizePixel: number;
    visible: boolean;
    visibility: string;
    eventsLockFct: Array<Function>;
    constructor(elementRef: ElementRef, renderer: Renderer2, split: SplitComponent, viewContainer: ViewContainerRef);
    onTransitionEnd(evt: TransitionEvent): void;
    ngOnInit(): void;
    lockEvents(): void;
    unlockEvents(): void;
    setStyle(key: string, value: any): void;
    ngOnDestroy(): void;
}
