import { EventEmitter, ElementRef } from '@angular/core';
import { ObjectFormHelperService } from '../../object-form/object-form-helper.service';
import { ObjectFormControlWrapper } from '../../object-form/object-form/object-form-control-wrapper';
import { TranslateService } from '@eo-sdk/core';
import { AppSearchService } from '../../../eo-framework-core/search/app-search.service';
import { ObjectFormGroup } from '../../object-form/object-form/object-form-group';
import { StoredQueriesService, StoredQuery, SearchService } from '@eo-sdk/core';
export declare class StoredQueryComponent {
    private searchService;
    private elementRef;
    private translate;
    private storedQueriesService;
    private formHelperService;
    private appSearchService;
    _storedQuery: StoredQuery;
    queryFormControls: ObjectFormControlWrapper[];
    queryForm: ObjectFormGroup;
    fulltextFormControl: ObjectFormControlWrapper;
    _formOnly: boolean;
    query: StoredQuery;
    formOnly: boolean;
    onQueryLoaded: EventEmitter<{}>;
    onQueryExecute: EventEmitter<{}>;
    isOpen: boolean;
    constructor(searchService: SearchService, elementRef: ElementRef, translate: TranslateService, storedQueriesService: StoredQueriesService, formHelperService: ObjectFormHelperService, appSearchService: AppSearchService);
    createQueryForm(): void;
    private getValue(qname);
    load(): void;
    execute(): void;
    private aggregate();
}
