import { EventEmitter, OnDestroy, Renderer2 } from '@angular/core';
import { UnsubscribeOnDestroy } from '../../util/unsubscribe/unsubscribe.component';
import { Dialog } from 'primeng/primeng';
import { EventService } from '@eo-sdk/core';
export declare class EoDialogComponent extends UnsubscribeOnDestroy implements OnDestroy {
    private eventService;
    private renderer;
    private _visible;
    private _lastFocused;
    private active;
    private id;
    private parentId;
    title: string;
    subtitle: string;
    styleClass: string;
    appendTo: string;
    minWidth: number;
    minHeight: string;
    resizable: boolean;
    visibleChange: EventEmitter<any>;
    hide: EventEmitter<any>;
    show: EventEmitter<any>;
    dialog: Dialog;
    visible: boolean;
    constructor(eventService: EventService, renderer: Renderer2);
    toggleActive(active: boolean, trigger?: boolean): void;
    closeDialog(): void;
    ngOnDestroy(): void;
}
