import { OnInit } from '@angular/core';
import { BaseParams, DmsObject, BackendService, UserService } from '@eo-sdk/core';
import { TranslateService } from '@eo-sdk/core';
import { GridService } from '../../../eo-framework-core/api/grid.service';
import { Observable } from 'rxjs/Rx';
import { SimpleAccordionComponent } from '../../accordion/simple-accordion/simple-accordion.component';
export declare class IndexdataSummaryComponent implements OnInit {
    translate: TranslateService;
    gridApi: GridService;
    private backend;
    private userService;
    isUserAllowedToShowStorageSection: boolean;
    private _indexData;
    coreValues: IndexData[];
    dataValues: IndexData[];
    storageInfos: any[];
    item: DmsObject;
    dataAccordion: SimpleAccordionComponent;
    storageAccordion: SimpleAccordionComponent;
    indexdata: IndexData;
    dmsObject: DmsObject;
    baseparams: BaseParams;
    enableVersions: boolean;
    static collect(data: {}, elements: any[], collection: any[]): any[];
    constructor(translate: TranslateService, gridApi: GridService, backend: BackendService, userService: UserService);
    onValueClick(event: any, item: any): void;
    onStorageInfoOpen(): void;
    fetchStorageInfo(id: string, type?: string, version?: number): Observable<any>;
    ngOnInit(): void;
}
export interface IndexData {
    form: any;
    data: any;
}
