/**
 * @ignore
 */
export interface StructureTreeNode {
    id: string;
    name: string;
    children: StructureTreeNode[];
    path?: string[];
    expanded: boolean;
    selectable: boolean;
    selected: boolean;
    highlighted?: boolean;
    focused?: boolean;
    badges?: StructureTreeNodeBadge[];
    data?: any;
}
/**
 * @ignore
 */
export interface StructureTreeNodeBadge {
    value: string;
    cssClass?: string;
}
