/**
 * Custom actions representation
 */
export interface CustomAction {
    /**
     * Unique ID
     */
    id: string;
    /**
     * Actions title
     */
    title: string;
    /**
     * Actions description
     */
    description: string;
    /**
     * Flag indicating whether or not the action is executable
     */
    isexecutable: string;
    /**
     * ISO Date string of the actions modification date
     */
    modified: string;
    /**
     * modifiers internal name
     */
    modifier: string;
    /**
     * The actions script code
     */
    script: string;
}
