export declare class UploadFileItem {
    /**
     * Uniqe File Item Id
     */
    id: string;
    /**
     * File Item name
     */
    name: string;
    /**
     * File Item Size
     */
    size: number;
    /**
     * File Item type
     */
    type: string;
    /**
     * The File Item itself
     */
    _file: File;
    /**
     * Creates a new instance of UploadFileItem
     *
     * @param id Upload targets unique id
     * @param type Upload targets type
     */
    constructor(file: File);
}
